Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057798 - volume option, nfs.read-size's default value is (1 * 1048576ULL)
Summary: volume option, nfs.read-size's default value is (1 * 1048576ULL)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: anmol babu
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 22:23 UTC by Dustin Tsang
Modified: 2015-12-03 17:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-03 17:22:42 UTC


Attachments (Terms of Use)
Data from vdsm to backend (deleted)
2014-10-02 08:25 UTC, anmol babu
no flags Details

Description Dustin Tsang 2014-01-24 22:23:23 UTC
Description of problem:

When adding a volume option, nfs.read-size, to a volume. The default value given (1 * 1048576ULL) isn't valid

Version-Release number of selected component (if applicable):

rhsc-cb15

How reproducible:

100% of the time


Steps to Reproduce:
1. create a simple dist volume
2. on the volume main tab, select the volume
3. in the volume option sub-tab, select 'add'
4, in the modal that opens, select the option nfs.read-size
5. click 'ok' on the modal

Actual results:
 alert is given with text, 
"Operation Canceled
Error while executing action Set Gluster Volume Option: Volume set failed
error: invalid number format "(1*1048576ULL)" in option "nfs3_read-size"
return code: 22"

Expected results:
Default value for nfs.read-size should just be 1048576


Additional info:

Comment 2 anmol babu 2014-10-02 08:25:22 UTC
Created attachment 943325 [details]
Data from vdsm to backend

Data from vdsm to backend

Comment 3 anmol babu 2014-10-02 08:30:07 UTC
As can be seen in the engine debug screenshot attached, the data is coming to the engine as 1*1048576ULL i.e, the query to get the options list for a selected volume is fetching the list from vdsm and the list from vdsm contains the value for nfs.read-size as 1*1048576ULL

Comment 4 anmol babu 2014-10-13 09:46:10 UTC
Getting the same value from the output of :
gluster volume set help-xml 
command

Comment 6 Vivek Agarwal 2015-12-03 17:22:42 UTC
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.


Note You need to log in before you can comment on or make changes to this bug.